Bug 2186673 (CVE-2022-48468)

Summary: CVE-2022-48468 protobuf-c: unsigned integer overflow in parse_required_member
Product: [Other] Security Response Reporter: Sandipan Roy <saroy>
Component: vulnerabilityAssignee: Nobody <nobody>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: areber
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in protobuf-c. This security flaw leads to an unsigned integer overflow in parse_required_member.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2186674, 2186675, 2186676, 2186677, 2186678    
Bug Blocks: 2186651    

Comment 1 Sandipan Roy 2023-04-14 05:45:38 UTC
Created libsignal-protocol-c tracking bugs for this issue:

Affects: epel-8 [bug 2186674]
Affects: fedora-36 [bug 2186675]


Created protobuf-c tracking bugs for this issue:

Affects: fedora-36 [bug 2186676]

Comment 4 errata-xmlrpc 2023-11-07 08:22:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6621 https://access.redhat.com/errata/RHSA-2023:6621

Comment 5 errata-xmlrpc 2023-11-14 15:17:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:6944 https://access.redhat.com/errata/RHSA-2023:6944

Comment 7 errata-xmlrpc 2024-01-24 16:41:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:0406 https://access.redhat.com/errata/RHSA-2024:0406